MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
Configured.hxx File Reference
`#include "check.h"`
Include dependency graph for Configured.hxx:

Go to the source code of this file.

## Functions
Database * | CreateConfiguredDatabase (EventLoop &loop, DatabaseListener &listener)
| Read database configuration settings and create a Database instance from it, but do not open it. More...

## Function Documentation

Database* CreateConfiguredDatabase | ( | EventLoop & | loop,
|  | DatabaseListener & | listener
| ) |  |

Read database configuration settings and create a Database instance from it, but do not open it.

Returns nullptr if no database is configured.

Throws #std::runtime_error on error.